import request from '@/router/axios';

export default {
  //加载外委、第三方树
  async getTreeAll(form) {
    return request({
      url: '/api/blade-manager/trial/tree-all',
      method: 'get',
      params: form
    });
  },
  //新增或修改
  async setTreeSubmit(form) {
    return request({
      url: '/api/blade-manager/trial/submit',
      method: 'post',
      data: form
    });
  },
  //删除节点
  async setTreeRemove(form) {
    return request({
      url: '/api/blade-manager/trial/remove',
      method: 'get',
      params: form
    });
  },
}
